/**
 * Copyright (c) 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.command.exception;

import org.apache.commons.cli.Option;
import org.ow2.petals.cli.api.command.Command;

/**
 * Exception thrown when an error occurs on argument parsing of the command.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class CommandMissingArgumentException extends CommandInvalidException {

    private static final long serialVersionUID = -7866917545455146363L;

    public static final String MISSING_ARGUMENT = "Missing argument";

    /**
     * The option for which an argument is missing.
     */
    private final Option option;

    public CommandMissingArgumentException(final Command command, final Option option) {
        super(command, MISSING_ARGUMENT + ": " + option.getOpt());
        this.option = option;
    }

    /**
     * @return The option for which an argument is missing.
     */
    public Option getOption() {
        return this.option;
    }

}
