/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.http;

import java.net.URL;

import org.ow2.petals.cli.api.exception.EmbeddedHttpServerException;

/**
 * Interface of an embedded HTTP server required to deploy artifacts on remote containers
 * 
 * @author Christophe DENEUX - Linagora
 */
public interface EmbeddedHttpServer {

    /**
     * Register an new artifact into the embedded HTTP server.
     * 
     * @param artifactUrl
     *            The initial URL of the artifact
     * @return The URL to access the artifact through the HTTP server
     * @throws EmbeddedHttpServerException
     *             An error occurs registering the artifact URL
     */
    public URL registerArtifactUrl(final URL artifactUrl) throws EmbeddedHttpServerException;
}

