/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.shell.exception;


/**
 * A disconnection command has been already registered.
 * 
 * @author Christophe DENEUX - EBM WebSourcing
 * 
 */
public class DisconnectionCommandAlreadyRegisteredException extends ShellException {

    private static final long serialVersionUID = -5815916202656301288L;

    /**
     * Name of the disconnection command already registered.
     */
    private final String commandName;

	public DisconnectionCommandAlreadyRegisteredException(final String commandName) {
        super("The disconnection command is already registered ('" + commandName + "').");
		this.commandName = commandName;
	}

    /**
     * Get the name of the disconnection command already registered.
     * 
     * @return The name of the disconnection command already registered.
     */
    public String getCommandName() {
        return this.commandName;
    }

}
