/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.command;

import java.util.Map;

import jline.console.completer.Completer;

import org.apache.commons.cli.CommandLine;
import org.apache.commons.cli.Options;
import org.ow2.petals.cli.api.command.exception.CommandException;
import org.ow2.petals.cli.api.command.exception.ConnectionErrorException;
import org.ow2.petals.cli.api.connection.AuthenticatedConnectionParameters;
import org.ow2.petals.cli.api.connection.ConnectionParameters;
import org.ow2.petals.cli.api.connection.exception.InvalidConnectionParameterException;
import org.ow2.petals.cli.api.pref.PreferenceFileException;
import org.ow2.petals.cli.api.shell.Shell;

public class NullConnectionCommand implements ConnectionCommand {

    public final static String NAME = "a-connect-command";

    @Override
    public Options getOptions() {
        return null;
    }

    @Override
    public void resetOptions() {
        // NOP
    }

    @Override
    public String getOptionsDescription() {
        return null;
    }

    @Override
    public String getName() {
        return NullConnectionCommand.NAME;
    }

    @Override
    public String getUsage() {
        return null;
    }

    @Override
    public String getDescription() {
        return null;
    }

    @Override
    public Completer getDefaultCompleter() {
        return null;
    }

    @Override
    public Map<String, Completer> getOptionCompleters() {
        return null;
    }

    @Override
    public Shell getShell() {
        return null;
    }

    @Override
    public void setShell(final Shell shell) {
        // NOP
    }

    @Override
    public void execute(final String[] args) throws CommandException {
        // NOP
    }

    @Override
    public boolean isConnectionRequired() {
        return false;
    }

    @Override
    public AuthenticatedConnectionParameters connect(final ConnectionParameters connectionParameters,
            final boolean isYesFlagEnabledAtCmdLevel) throws ConnectionErrorException, CommandException {
        return null;
    }

    @Override
    public ConnectionParameters parseConnectionParameters(final CommandLine cmd, final boolean useDefaultConnection)
            throws CommandException, PreferenceFileException, InvalidConnectionParameterException {
        return null;
    }

}
